org.apache.calcite.avatica.remote

## Enum AvaticaRemoteConnectionProperty

- java.lang.Object
- - java.lang.Enum<AvaticaRemoteConnectionProperty>
  - - org.apache.calcite.avatica.remote.AvaticaRemoteConnectionProperty

All Implemented Interfaces:
  Serializable, Comparable<AvaticaRemoteConnectionProperty>, ConnectionProperty

    public enum AvaticaRemoteConnectionProperty
    extends Enum<AvaticaRemoteConnectionProperty>
    implements ConnectionProperty

Enumeration of Avatica remote driver's built-in connection properties.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.ConnectionProperty

`ConnectionProperty.Type`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FACTORY` Factory.

### Field Summary

Fields
`private String` `camelName`
`private Object` `defaultValue`
`private static Map<String,AvaticaRemoteConnectionProperty>` `NAME_TO_PROPS`
`private ConnectionProperty.Type` `type`

### Method Summary

Methods
`String` `camelName()` The name of this property in camel-case.
`Object` `defaultValue()` Returns the default value of this property.
`boolean` `required()` Whether the property is mandatory.
`ConnectionProperty.Type` `type()` Returns the data type of this property.
`Class` `valueClass()` Class of values that this property can take.
`static AvaticaRemoteConnectionProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AvaticaRemoteConnectionProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`ConnectionConfigImpl.PropEnv` `wrap(Properties properties)` Wraps this property with a properties object from which its value can be obtained when needed.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.ConnectionProperty

`name`

### Enum Constant Detail

#### FACTORY

    public static final AvaticaRemoteConnectionProperty FACTORY

Factory.

### Field Detail

#### camelName

    private final String camelName

#### type

    private final ConnectionProperty.Type type

#### defaultValue

    private final Object defaultValue

#### NAME_TO_PROPS

    private static final Map<String,AvaticaRemoteConnectionProperty> NAME_TO_PROPS

### Method Detail

#### values

    public static AvaticaRemoteConnectionProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AvaticaRemoteConnectionProperty c : AvaticaRemoteConnectionProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AvaticaRemoteConnectionProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### camelName

    public String camelName()

Description copied from interface: `ConnectionProperty`
The name of this property in camel-case. (E.g. "materializationsEnabled".)

Specified by:
  `camelName` in interface `ConnectionProperty`

#### defaultValue

    public Object defaultValue()

Description copied from interface: `ConnectionProperty`
Returns the default value of this property. The type must match its data type.

Specified by:
  `defaultValue` in interface `ConnectionProperty`

#### type

    public ConnectionProperty.Type type()

Description copied from interface: `ConnectionProperty`
Returns the data type of this property.

Specified by:
  `type` in interface `ConnectionProperty`

#### valueClass

    public Class valueClass()

Description copied from interface: `ConnectionProperty`
Class of values that this property can take. Most useful for `ConnectionProperty.Type.ENUM` properties.

Specified by:
  `valueClass` in interface `ConnectionProperty`

#### wrap

    public ConnectionConfigImpl.PropEnv wrap(Properties properties)

Description copied from interface: `ConnectionProperty`
Wraps this property with a properties object from which its value can be obtained when needed.

Specified by:
  `wrap` in interface `ConnectionProperty`

#### required

    public boolean required()

Description copied from interface: `ConnectionProperty`
Whether the property is mandatory.

Specified by:
  `required` in interface `ConnectionProperty`